﻿/**
 * ARTool
 * 
 *		Jacob O. Wobbrock, Ph.D.
 * 		The Information School
 *		University of Washington
 *		Mary Gates Hall, Box 352840
 *		Seattle, WA 98195-2840
 *		wobbrock@u.washington.edu
 *      
 * This software is distributed under the "New BSD License" agreement:
 * 
 * Copyright (c) 2010-2011, Jacob O. Wobbrock.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    * Neither the name of the University of Washington
 *      nor the names of its contributors may be used to endorse or promote 
 *      products derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Jacob O. Wobbrock OR The University
 * of Washington BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, 
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**/
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace ARTool
{
    partial class AboutForm
    {
        private System.ComponentModel.Container components = null;

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                    components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AboutForm));
			this.txtInfo = new System.Windows.Forms.TextBox();
			this.cmdOK = new System.Windows.Forms.Button();
			this.lnklblProject = new System.Windows.Forms.LinkLabel();
			this.lnklblR = new System.Windows.Forms.LinkLabel();
			this.lnklblPub = new System.Windows.Forms.LinkLabel();
			this.txtAuthors = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.lnklblPub2 = new System.Windows.Forms.LinkLabel();
			this.SuspendLayout();
			// 
			// txtInfo
			// 
			this.txtInfo.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.txtInfo.Location = new System.Drawing.Point(16, 21);
			this.txtInfo.Multiline = true;
			this.txtInfo.Name = "txtInfo";
			this.txtInfo.ReadOnly = true;
			this.txtInfo.Size = new System.Drawing.Size(249, 249);
			this.txtInfo.TabIndex = 1;
			this.txtInfo.Text = resources.GetString("txtInfo.Text");
			this.txtInfo.Enter += new System.EventHandler(this.txtInfo_Enter);
			// 
			// cmdOK
			// 
			this.cmdOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.cmdOK.Location = new System.Drawing.Point(104, 286);
			this.cmdOK.Name = "cmdOK";
			this.cmdOK.Size = new System.Drawing.Size(72, 23);
			this.cmdOK.TabIndex = 7;
			this.cmdOK.Text = "OK";
			// 
			// lnklblProject
			// 
			this.lnklblProject.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.lnklblProject.Location = new System.Drawing.Point(14, 114);
			this.lnklblProject.Name = "lnklblProject";
			this.lnklblProject.Size = new System.Drawing.Size(243, 13);
			this.lnklblProject.TabIndex = 2;
			this.lnklblProject.TabStop = true;
			this.lnklblProject.Text = "http://depts.washington.edu/acelab/proj/art/";
			this.lnklblProject.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnklblProject_LinkClicked);
			// 
			// lnklblR
			// 
			this.lnklblR.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.lnklblR.Location = new System.Drawing.Point(14, 205);
			this.lnklblR.Name = "lnklblR";
			this.lnklblR.Size = new System.Drawing.Size(243, 13);
			this.lnklblR.TabIndex = 4;
			this.lnklblR.TabStop = true;
			this.lnklblR.Text = "https://cran.r-project.org/package=ARTool";
			this.lnklblR.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnklblR_LinkClicked);
			// 
			// lnklblPub
			// 
			this.lnklblPub.AutoSize = true;
			this.lnklblPub.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.lnklblPub.Location = new System.Drawing.Point(14, 243);
			this.lnklblPub.Name = "lnklblPub";
			this.lnklblPub.Size = new System.Drawing.Size(247, 13);
			this.lnklblPub.TabIndex = 5;
			this.lnklblPub.TabStop = true;
			this.lnklblPub.Text = "https://dl.acm.org/doi/10.1145/1978942.1978963";
			this.lnklblPub.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnklblPub_LinkClicked);
			// 
			// txtAuthors
			// 
			this.txtAuthors.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.txtAuthors.Location = new System.Drawing.Point(155, 138);
			this.txtAuthors.Multiline = true;
			this.txtAuthors.Name = "txtAuthors";
			this.txtAuthors.ReadOnly = true;
			this.txtAuthors.Size = new System.Drawing.Size(107, 43);
			this.txtAuthors.TabIndex = 3;
			this.txtAuthors.Text = "Leah Findlater, Ph.D.\r\nDarren Gergle, Ph.D.\r\nMatthew Kay, Ph.D.";
			this.txtAuthors.Enter += new System.EventHandler(this.txtAuthors_Enter);
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
			this.label1.Location = new System.Drawing.Point(110, 6);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(60, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "ARTool";
			// 
			// lnklblPub2
			// 
			this.lnklblPub2.AutoSize = true;
			this.lnklblPub2.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.lnklblPub2.Location = new System.Drawing.Point(14, 259);
			this.lnklblPub2.Name = "lnklblPub2";
			this.lnklblPub2.Size = new System.Drawing.Size(247, 13);
			this.lnklblPub2.TabIndex = 6;
			this.lnklblPub2.TabStop = true;
			this.lnklblPub2.Text = "https://dl.acm.org/doi/10.1145/3472749.3474784";
			this.lnklblPub2.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.lnklblPub2_LinkClicked);
			// 
			// AboutForm
			// 
			this.AcceptButton = this.cmdOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(280, 321);
			this.Controls.Add(this.lnklblPub2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.txtAuthors);
			this.Controls.Add(this.lnklblPub);
			this.Controls.Add(this.lnklblR);
			this.Controls.Add(this.lnklblProject);
			this.Controls.Add(this.cmdOK);
			this.Controls.Add(this.txtInfo);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "AboutForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "About ARTool";
			this.TopMost = true;
			this.Load += new System.EventHandler(this.AboutForm_Load);
			this.ResumeLayout(false);
			this.PerformLayout();

        }
        #endregion

        private System.Windows.Forms.TextBox txtInfo;
        private System.Windows.Forms.Button cmdOK;
        private System.Windows.Forms.LinkLabel lnklblProject;
        private LinkLabel lnklblR;
        private LinkLabel lnklblPub;
		private TextBox txtAuthors;
		private Label label1;
		private LinkLabel lnklblPub2;
	}
}
